edelib 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TimeZone Class Reference

A class for getting time from desired time zone. More...

`#include <edelib/DateTime.h>`

## Public Member Functions
| TimeZone ()
| ~TimeZone ()
bool | set (const char *n)
const char * | code (void)
const char * | zone (void)
unsigned long | time (void)

## Detailed Description

A class for getting time from desired time zone.

## Constructor & Destructor Documentation

TimeZone | ( |  | ) |

Empty constructor

~TimeZone | ( |  | ) |

Clears internal data

## Member Function Documentation

const char* code | ( | void |  | ) |
| inline

Return code from set zone

bool set | ( | const char * | n | ) |

Set zone. Previously set zone (and it's data) will be cleared replacing with the current one

unsigned long time | ( | void |  | ) |
| inline

Return time from given zone. Time is encoded number (same as time_t type) so it can be used with various time functions that accepts time_t type

const char* zone | ( | void |  | ) |
| inline

Return zone name

The documentation for this class was generated from the following file:

- edelib/DateTime.h